package ru.sicamp.sicamphelper.api.bot

import org.springframework.beans.factory.annotation.Value
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration
import org.telegram.telegrambots.meta.api.methods.updates.SetWebhook

@Configuration
class BotConfig {
    @Bean
    fun setWebhook(
        @Value("bot.token")
        token: String
    ) = SetWebhook.builder().secretToken(token).build()
}