package ru.sicamp.sicamphelper.db.table

import org.jetbrains.exposed.dao.id.LongIdTable

object Rooms : LongIdTable("rooms") {
    val name = varchar("name", 255)
    val type = enumerationByName<Type>("type", 255)
    val description = varchar("description", 255).nullable()

    enum class Type { DORMITORY, AUDIENCE, CANTEEN, COMMON_SPACE }
}