package ru.sicamp.sicamphelper.model.data

class GroupInput(
    input: String
) {
    val type = Type.typeByPrefix(input.firstOrNull())

    val id: Long? = if (type == Type.ID) input.tail().toString().toLong() else null
    val name: String? = if (type == Type.NAME) input.tail().toString() else null

    enum class Type(val prefix: Char) {
        NAME('@'), ID('#');

        companion object {
            fun typeByPrefix(char: Char?) = values().find { it.prefix == char }
        }
    }
}
