package ru.sicamp.sicamphelper.service

import com.fasterxml.jackson.databind.ObjectMapper
import org.jetbrains.exposed.sql.transactions.transaction
import org.springframework.stereotype.Service
import ru.sicamp.sicamphelper.db.entity.Config
import java.time.LocalDate

@Service
class ConfigService(
    private val objectMapper: ObjectMapper
) {
    fun getDate(name: String): LocalDate? = transaction {
        return@transaction objectMapper.readValue(Config.findById(name)?.value, LocalDate::class.java)
    }
}