package ru.sicamp.sicamphelper.model.response.info

import com.fasterxml.jackson.annotation.JsonIgnore
import ru.sicamp.sicamphelper.db.entity.User
import ru.sicamp.sicamphelper.model.response.TelegramResponse

data class InfoResponse(
    val user: User
) : TelegramResponse() {
    override val text: String
        @JsonIgnore
        get() = user.toString()
}
